CVE Details
ID CVE-2020-17498
Summary In Wireshark 3.2.0 to 3.2.5, the Kafka protocol dissector could crash. This was addressed in epan/dissectors/packet-kafka.c by avoiding a double free during LZ4 decompression.
References
Vulnerable Configurations
  • cpe:2.3:a:wireshark:wireshark:3.2.0:*:*:*:*:*:*:*
    cpe:2.3:a:wireshark:wireshark:3.2.0:*:*:*:*:*:*:*
  • cpe:2.3:a:wireshark:wireshark:3.2.1:*:*:*:*:*:*:*
    cpe:2.3:a:wireshark:wireshark:3.2.1:*:*:*:*:*:*:*
  • cpe:2.3:a:wireshark:wireshark:3.2.2:*:*:*:*:*:*:*
    cpe:2.3:a:wireshark:wireshark:3.2.2:*:*:*:*:*:*:*
  • cpe:2.3:a:wireshark:wireshark:3.2.3:*:*:*:*:*:*:*
    cpe:2.3:a:wireshark:wireshark:3.2.3:*:*:*:*:*:*:*
  • cpe:2.3:a:wireshark:wireshark:3.2.4:*:*:*:*:*:*:*
    cpe:2.3:a:wireshark:wireshark:3.2.4:*:*:*:*:*:*:*
  • cpe:2.3:a:wireshark:wireshark:3.2.5:*:*:*:*:*:*:*
    cpe:2.3:a:wireshark:wireshark:3.2.5:*:*:*:*:*:*:*
CVSS
Base: 4.3 (as of 20-01-2021 - 15:15)
Impact: 2.9
Exploitability:8.6
CWE CWE-415
CAPEC Click the CAPEC title to display a description
Access
VectorComplexityAuthentication
NETWORK MEDIUM NONE
Impact
ConfidentialityIntegrityAvailability
NONE NONE PARTIAL
CVSS v3.1
Base: 6.5 (as of 20-01-2021 - 15:15)
Impact: 3.6
Exploitability:2.8
Exploitability v3.1
Attack ComplexityAttack vectorPrivileges RequiredScopeUser Interaction
LOW NETWORK NONE UNCHANGED REQUIRED
Impact v3.1
ConfidentialityIntegrityAvailability
NONE NONE HIGH
cvss-vector via4 AV:N/AC:M/Au:N/C:N/I:N/A:P
cvss3-vector via4 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
refmap via4
fedora
  • FEDORA-2020-2981a0224d
  • FEDORA-2020-7f91f10f2b
gentoo GLSA-202008-14
misc
suse
  • openSUSE-SU-2020:1878
  • openSUSE-SU-2020:1882
Last major update 20-01-2021 - 15:15
Published 13-08-2020 - 16:15
Last modified 20-01-2021 - 15:15